[Pkg-lustre-svn-commit] r336 - in /trunk/debian/patches: 00list bug12052-fix-loopin_lsm_lmm_verify_common.dpatch bug12627-fix-lfs-listnotonlyfiles.dpatch

pwinnertz-guest at users.alioth.debian.org pwinnertz-guest at users.alioth.debian.org
Wed Sep 19 11:22:54 UTC 2007


Author: pwinnertz-guest
Date: Wed Sep 19 11:22:54 2007
New Revision: 336

URL: http://svn.debian.org/wsvn/pkg-lustre/?sc=1&rev=336
Log:
Added again two patches from upstream bugzilla

Added:
    trunk/debian/patches/bug12052-fix-loopin_lsm_lmm_verify_common.dpatch
    trunk/debian/patches/bug12627-fix-lfs-listnotonlyfiles.dpatch
Modified:
    trunk/debian/patches/00list

Modified: trunk/debian/patches/00list
URL: http://svn.debian.org/wsvn/pkg-lustre/trunk/debian/patches/00list?rev=336&op=diff
==============================================================================
--- trunk/debian/patches/00list (original)
+++ trunk/debian/patches/00list Wed Sep 19 11:22:54 2007
@@ -22,6 +22,8 @@
 bug12567-fix-ldlm_cli_enqueue-errormsg.dpatch
 bug12704-fix-2tb-ost-corruption.dpatch
 bug11771-fix-nfs-export-norootsquash.dpatch
+bug12627-fix-lfs-listnotonlyfiles.dpatch
+bug12052-fix-loopin_lsm_lmm_verify_common.dpatch
 
 # Debian patches
 autogen-run.dpatch

Added: trunk/debian/patches/bug12052-fix-loopin_lsm_lmm_verify_common.dpatch
URL: http://svn.debian.org/wsvn/pkg-lustre/trunk/debian/patches/bug12052-fix-loopin_lsm_lmm_verify_common.dpatch?rev=336&op=file
==============================================================================
--- trunk/debian/patches/bug12052-fix-loopin_lsm_lmm_verify_common.dpatch (added)
+++ trunk/debian/patches/bug12052-fix-loopin_lsm_lmm_verify_common.dpatch Wed Sep 19 11:22:54 2007
@@ -1,0 +1,87 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: enable file checksumming by default
+
+
+ at DPATCH@
+diff -u -p -r1.4.30.3 lov_ea.c
+--- ./lustre/lov/lov_ea.c	2 Aug 2007 02:26:33 -0000	1.4.30.3
++++ ./lustre/lov/lov_ea.c	8 Aug 2007 02:33:49 -0000
+@@ -70,7 +70,9 @@ static int lsm_lmm_verify_common(struct 
+         }
+ 
+         if (lmm->lmm_stripe_size == 0 ||
+-            (__u64)le32_to_cpu(lmm->lmm_stripe_size)*stripe_count > 0xffffffff){
++            (stripe_count != -1 &&
++             (__u64)le32_to_cpu(lmm->lmm_stripe_size)*stripe_count >
++             0xffffffff)) {
+                 CERROR("bad stripe size %u\n",
+                        le32_to_cpu(lmm->lmm_stripe_size));
+                 lov_dump_lmm_v1(D_WARNING, lmm);
+diff -u -p -r1.29 lov_pack.c
+--- ./lustre/lov/lov_pack.c	15 Feb 2007 07:11:10 -0000	1.29
++++ ./lustre/lov/lov_pack.c	8 Aug 2007 02:33:50 -0000
+@@ -49,7 +49,7 @@ void lov_dump_lmm_v1(int level, struct l
+                le32_to_cpu(lmm->lmm_stripe_size),
+                le32_to_cpu(lmm->lmm_stripe_count));
+         for (i = 0, lod = lmm->lmm_objects;
+-             i < le32_to_cpu(lmm->lmm_stripe_count); i++, lod++)
++             i < (int)le32_to_cpu(lmm->lmm_stripe_count); i++, lod++)
+                 CDEBUG(level, "stripe %u idx %u subobj "LPX64"/"LPX64"\n",
+                        i, le32_to_cpu(lod->l_ost_idx),
+                        le64_to_cpu(lod->l_object_gr),
+Index: lustre/tests/sanity.sh
+===================================================================
+RCS file: /cvsroot/cfs/lustre-core/tests/sanity.sh,v
+retrieving revision 1.100.6.26
+diff -u -p -r1.100.6.26 sanity.sh
+--- ./lustre/tests/sanity.sh	31 Jul 2007 14:42:40 -0000	1.100.6.26
++++ ./lustre/tests/sanity.sh	8 Aug 2007 02:33:54 -0000
+@@ -2718,6 +2718,13 @@ test_65j() { # bug6367
+ }
+ run_test 65j "set default striping on root directory (bug 6367)="
+ 
++test_65k() { # bug 12836
++	mkdir -p $DIR/$tdir
++	$LFS setstripe $DIR/$tdir 65536 -1 -1
++	$LFS find -mtime -1 $DIR
++}
++run_test 65k "lfs find on -1 stipe dir ========================"
++
+ # bug 2543 - update blocks count on client
+ test_66() {
+ 	COUNT=${COUNT:-8}
+diff -u -p -r1.28.2.4 liblustreapi.c
+--- ./lustre/utils/liblustreapi.c	16 Jul 2007 23:04:09 -0000	1.28.2.4
++++ ./lustre/utils/liblustreapi.c	8 Aug 2007 02:33:54 -0000
+@@ -771,7 +771,8 @@ static int cb_find_init(char *path, DIR 
+                 decision = -1;
+ 
+         /* If a OST UUID is given, and some OST matches, check it here. */
+-        if (decision != -1 && param->obdindex != OBD_NOT_FOUND) {
++        if (decision != -1 && param->obdindex != OBD_NOT_FOUND &&
++            S_ISREG(st->st_mode)) {
+                 /* Only those files should be accepted, which have a strip on
+                  * the specified OST. */
+                 if (!param->lmd->lmd_lmm.lmm_stripe_count) {
+@@ -794,14 +795,17 @@ static int cb_find_init(char *path, DIR 
+         if (!decision) {
+                 int for_mds;
+ 
+-                for_mds = lustre_fs ? param->lmd->lmd_lmm.lmm_stripe_count : 0;
++                for_mds = lustre_fs ? (S_ISREG(st->st_mode) &&
++                                       param->lmd->lmd_lmm.lmm_stripe_count)
++                                    : 0;
+                 decision = find_time_check(st, param, for_mds);
+         }
+ 
+         /* If file still fits the request, ask osd for updated info.
+            The regulat stat is almost of the same speed as some new
+            'glimpse-size-ioctl'. */
+-        if (!decision && param->lmd->lmd_lmm.lmm_stripe_count) {
++        if (!decision && param->lmd->lmd_lmm.lmm_stripe_count &&
++            S_ISREG(st->st_mode)) {
+                 if (dir) {
+                         ret = ioctl(dirfd(dir), IOC_LOV_GETINFO,
+                                     (void *)param->lmd);

Added: trunk/debian/patches/bug12627-fix-lfs-listnotonlyfiles.dpatch
URL: http://svn.debian.org/wsvn/pkg-lustre/trunk/debian/patches/bug12627-fix-lfs-listnotonlyfiles.dpatch?rev=336&op=file
==============================================================================
--- trunk/debian/patches/bug12627-fix-lfs-listnotonlyfiles.dpatch (added)
+++ trunk/debian/patches/bug12627-fix-lfs-listnotonlyfiles.dpatch Wed Sep 19 11:22:54 2007
@@ -1,0 +1,61 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: enable file checksumming by default
+
+
+ at DPATCH@
+diff -u -p -r1.28.2.7 liblustreapi.c
+--- ./lustre/utils/liblustreapi.c	30 Aug 2007 19:35:22 -0000	1.28.2.7
++++ ./lustre/utils/liblustreapi.c	12 Sep 2007 07:16:49 -0000
+@@ -133,7 +133,6 @@ int llapi_file_open(const char *name, in
+                 if (errno != EEXIST && errno != EALREADY)
+                         errmsg = strerror(errno);
+ 
+-                rc = -errno;
+                 fprintf(stderr, "error on ioctl "LPX64" for '%s' (%d): %s\n",
+                         (__u64)LL_IOC_LOV_SETSTRIPE, name, fd, errmsg);
+         }
+@@ -784,10 +783,12 @@ static int cb_find_init(char *path, DIR 
+                 decision = -1;
+ 
+         /* If a OST UUID is given, and some OST matches, check it here. */
+-        if (decision != -1 && param->obdindex != OBD_NOT_FOUND &&
+-            S_ISREG(st->st_mode)) {
+-                /* Only those files should be accepted, which have a strip on
+-                 * the specified OST. */
++        if (decision != -1 && param->obdindex != OBD_NOT_FOUND) {
++                if (!S_ISREG(st->st_mode))
++                        goto decided;
++
++                /* Only those files should be accepted, which have a
++                 * stripe on the specified OST. */
+                 if (!param->lmd->lmd_lmm.lmm_stripe_count) {
+                         decision = -1;
+                 } else {
+@@ -846,6 +847,7 @@ static int cb_find_init(char *path, DIR 
+                         printf("\n");
+         }
+ 
++decided:
+         /* Do not get down anymore? */
+         if (param->depth == param->maxdepth)
+                 return 1;
+diff -u -p -r1.100.6.47 sanity.sh
+--- ./lustre/tests/sanity.sh	8 Sep 2007 17:13:20 -0000	1.100.6.47
++++ ./lustre/tests/sanity.sh	12 Sep 2007 07:08:19 -0000
+@@ -2368,6 +2368,14 @@ test_56h() {
+ }
+ run_test 56h "check lfs find ! -name ============================="
+ 
++test_56i() {
++	mkdir -p $DIR/$tdir
++	UUID=`$GETSTRIPE $DIR/$tdir | awk '/0: / { print $2 }'`
++	OUT="`$LFIND -ost $UUID $DIR/$tdir`"
++	[ "$OUT" ] && error "$LFIND returned directory '$OUT'" || true
++}
++run_test 56i "check 'lfs find -ost UUID' skips directories ======="
++
+ test_57a() {
+ 	remote_mds && skip "remote MDS" && return
+ 




More information about the Pkg-lustre-svn-commit mailing list